Description

ENV:

Puppet: 3.5.1

Foreman :1.5.0RC2

We have a non-admin user called foreman that we use for API queries to pull down facts, parameters, hostgroups, classes, and

global_parameters and it uses this to generate templates. Basically it needs to know parameters from other hosts, and global

parameters.

The ruby code basically queries the API at https://hostname:port/api/common_parameters to fetch global parameters. This no longer

seems to work at all for this non-admin user. It has view/viewer roles. The admin user works fine. If we call specific parameters, it will

work, e.g.:  https://hostname:port/api/common_parameters/test displays the expected result. Also, the same symptoms occur if we

use Hammer with the foreman user. No results are displayed.

However, permissions are fine and we can login to the Foreman UI and see global parameters, hosts, hostgroups, etc. Just fine.

Seems like a regression. The last version we tested and it worked on was Foreman 1.4.

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 7cb05aa9 - 05/08/2014 05:08 AM - Dominic Cleal

fixes #5612 - use correct permissions for authz in parameters API

Revision 5f65c486 - 05/08/2014 01:17 PM - Dominic Cleal

fixes #5612 - use correct permissions for authz in parameters API

(cherry picked from commit 7cb05aa94e942bd3917c6cde33957288ea84a735)

History

#1 - 05/07/2014 04:33 PM - Dominic Cleal

- Category changed from 65 to Users, Roles and Permissions

- Status changed from New to Assigned

- Assignee changed from Martin Bacovsky to Dominic Cleal

- Target version set to 1.8.3

- translation missing: en.field_release changed from 4 to 16

Thanks, reproduced successfully.  It's trying to look up permissions for Parameter, not CommonParameter.

Also affected are the /api/v2/*/parameters routes, which try to look up permissions "view_domains_parameters" etc.

#2 - 05/07/2014 04:34 PM - Dominic Cleal

05/11/2024 1/2

https://hostname:port/api/common_parameters
https://hostname:port/api/common_parameters/test


- Blocks Tracker #4552: New permissions/authorization system issues added

#3 - 05/07/2014 04:53 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1426

#4 - 05/07/2014 05:23 PM - Jason Knudsen

Awesome. Thanks for the quick turnaround on that - confirmed it's working in our lab!

#5 - 05/08/2014 05:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7cb05aa94e942bd3917c6cde33957288ea84a735.

#6 - 05/08/2014 07:10 AM - Dominic Cleal

- translation missing: en.field_release changed from 16 to 4

#7 - 05/08/2014 07:11 AM - Dominic Cleal

Jason Knudsen wrote:

Awesome. Thanks for the quick turnaround on that - confirmed it's working in our lab!

 Great, it'll be in 1.5.0 final.  Thanks for helping test the RCs!
